Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformSample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformSample Class Reference

## Public Member Functions
std::size_t | addOp (XformOp iTransOrScaleOp, const Abc::V3d &iVal)
std::size_t | addOp (XformOp iRotateOp, const Abc::V3d &iAxis, const double iAngleInDegrees)
std::size_t | addOp (XformOp iMatrixOp, const Abc::M44d &iMatrix)
std::size_t | addOp (XformOp iSingleRotateOp, const double iSingleAxisRotationInDegrees)
std::size_t | addOp (const XformOp &iOp)
XformOp | getOp (const std::size_t iIndex) const
XformOp & | operator[] (const std::size_t &iIndex)
const XformOp & | operator[] (const std::size_t &iIndex) const
std::size_t | getNumOps () const
std::size_t | getNumOpChannels () const
| The sum of the number of channels of all the ops in this Sample.
void | setInheritsXforms (bool iInherits)
bool | getInheritsXforms () const
void | setTranslation (const Abc::V3d &iTrans)
Abc::V3d | getTranslation () const
void | setRotation (const Abc::V3d &iAxis, const double iAngleInDegress)
Abc::V3d | getAxis () const
double | getAngle () const
void | setXRotation (const double iAngleInDegrees)
double | getXRotation () const
void | setYRotation (const double iAngleInDegrees)
double | getYRotation () const
void | setZRotation (const double iAngleInDegrees)
double | getZRotation () const
void | setScale (const Abc::V3d &iScale)
Abc::V3d | getScale () const
void | setMatrix (const Abc::M44d &iMatrix)
Abc::M44d | getMatrix () const
bool | isTopologyEqual (const XformSample &iSample)
| Tests whether this sample has the same topology as iSample.
bool | getIsTopologyFrozen () const
| Has this Sample been used in a call to OXformSchema::set()
void | reset ()

## Friends
class | OXformSchema
class | IXformSchema

## Member Function Documentation

## ◆ setInheritsXforms()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformSample::setInheritsXforms | ( | bool | iInherits | ) |

"Inherits xforms" means, "Does this xform concatenate to or ignore the transforms of its parents?"

## ◆ setTranslation()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformSample::setTranslation | ( | const Abc::V3d & | iTrans | ) |

Order matters when calling different setFoo() methods; callstack of methods must be the same for each call to OXformSchmea::set() with a given Sample. For example, a Sample with calls to setTranslation() and setRotation() must make thgose same calls in the same order between each use of OXforSchema::set().

The documentation for this class was generated from the following files:

- AbcGeom/XformSample.h
- AbcGeom/XformSample.cpp